
// dlltest.cpp;

/*----------------------------------------------------------------*\
  
   Creating And Using DLLs                   Author: Kurt Miller

   This is the sample source code that accompanies the tutorial.
   This code was tested with Visual C++ 6.0 only.     
                                                        01/09/98

\*----------------------------------------------------------------*/

#include "dlltest.h"

#define MAXMODULE 50

char module[MAXMODULE];



extern "C" __declspec(dllexport)

void NumberList() {

      GetModuleFileName(NULL, (LPTSTR)module, MAXMODULE);

      cout << "\n\nThis function was called from "
           << module 
           << endl << endl;

      cout << "NumberList(): ";


      for(int i=0;  i<10; i++) {

           cout << i << " ";
      }

      cout << endl << endl;
}



extern "C" __declspec(dllexport)

void LetterList() {

      GetModuleFileName(NULL, (LPTSTR)module, MAXMODULE);

      cout << "\n\nThis function was called from "
           << module 
           << endl << endl;

      cout << "LetterList(): ";


      for(int i=0;  i<26; i++) {

           cout << char(97 + i) << " ";
      }

      cout << endl << endl;
}
